Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython3.RichTextStyle Class Reference

Inherits FoxitPDFSDKPython3._object.

## Public Member Functions
def | RichTextStyle ()
| Constructor.
def | RichTextStyle (style)
| Constructor, with another style object. More...
def | Set (font, text_size, text_alignment, text_color, is_bold, is_italic, is_underline, is_strikethrough, mark_style, char_space, word_space)
| Set value. More...

## Static Public Attributes
| char_space = _fsdk.RichTextStyle_char_space
| The char space. It should not be negative value for table generator. It is only used in FoxitPDFSDKPython3.PDFPage.AddText .
| e_CornerMarkNone = _fsdk.RichTextStyle_e_CornerMarkNone
| Corner mark style: none.
| e_CornerMarkSubscript = _fsdk.RichTextStyle_e_CornerMarkSubscript
| Corner mark style: subscript.
| e_CornerMarkSuperscript = _fsdk.RichTextStyle_e_CornerMarkSuperscript
| Corner mark style: superscript.
| font = _fsdk.RichTextStyle_font
| A font used in rich text style. It should be a valid font object. More...
| is_bold = _fsdk.RichTextStyle_is_bold
| A boolean value which indicates whether to make text bold or not.
| is_italic = _fsdk.RichTextStyle_is_italic
| A boolean value which indicates whether to italicize text or not.
| is_strikethrough = _fsdk.RichTextStyle_is_strikethrough
| A boolean value which indicates whether to cross text out with strike through or not.
| is_underline = _fsdk.RichTextStyle_is_underline
| A boolean value which indicates whether to underline text or not.
| mark_style = _fsdk.RichTextStyle_mark_style
| Corner mark style. Corner mark style which can be used to make text as superscript or subscript or not as any kind of corner mark. Please refer to values starting from FoxitPDFSDKPython3.RichTextStyle.e_CornerMarkNone and this should be one of these values.
| text_alignment = _fsdk.RichTextStyle_text_alignment
| Alignment value. Please refer to values starting from FoxitPDFSDKPython3.e_AlignmentLeft and this should be one of these values.
| text_color = _fsdk.RichTextStyle_text_color
| Text color. Format: 0xRRGGBB.
| text_size = _fsdk.RichTextStyle_text_size
| Text size. It should not be negative value. 0 means text will not be shown.
| word_space = _fsdk.RichTextStyle_word_space
| The word space. It should not be negative value for table generator. It is only used in FoxitPDFSDKPython3.PDFPage.AddText .

## Detailed Description

This class represents rich text style data, which is used to specify the style of rich text.

## Constructor & Destructor Documentation

## ◆ RichTextStyle()

def FoxitPDFSDKPython3.RichTextStyle.RichTextStyle | ( |  | style | ) |

Constructor, with another style object.

Parameters

  [in] | style | Another style object.

## Member Function Documentation

## ◆ Set()

def FoxitPDFSDKPython3.RichTextStyle.Set | ( |  | font,
|  |  | text_size,
|  |  | text_alignment,
|  |  | text_color,
|  |  | is_bold,
|  |  | is_italic,
|  |  | is_underline,
|  |  | is_strikethrough,
|  |  | mark_style,
|  |  | char_space,
|  |  | word_space
| ) |  |

Set value.

Parameters

  [in] | font | A valid font object.
  [in] | text_size | Text size. It should not be negative value. 0 means text will not be shown.
  [in] | text_alignment | Alignment value. Please refer to values starting from FoxitPDFSDKPython3.e_AlignmentLeft and this should be one of these values.
  [in] | text_color | Text color. Format: 0xRRGGBB.
  [in] | is_bold | A boolean value which indicates whether to make text bold or not.
  [in] | is_italic | A boolean value which indicates whether to italicize text or not.
  [in] | is_underline | A boolean value which indicates whether to underline text or not.
  [in] | is_strikethrough | A boolean value which indicates whether to cross text out with strike through or not.
  [in] | mark_style | Corner mark style which can be used to make text as superscript or subscript or not as any kind of corner mark. Please refer to values starting from FoxitPDFSDKPython3.RichTextStyle.e_CornerMarkNone and this should be one of these values.
  [in] | char_space | The char space. It should not be negative value for table generator. It is only used in FoxitPDFSDKPython3.PDFPage.AddText .
  [in] | word_space | The word space. It should not be negative value for table generator. It is only used in FoxitPDFSDKPython3.PDFPage.AddText .

Returns
  None.

## Member Data Documentation

## ◆ font

FoxitPDFSDKPython3.RichTextStyle.font = _fsdk.RichTextStyle_font
| static

A font used in rich text style. It should be a valid font object.

- When current style is used to set a rich text or add/insert a new rich text, this font means "user expects to use this font for a rich text". Then during resetting appearance process, Foxit PDF SDK will check if the expected font is suitable and decide to use it or change to a more suitable font for showing text content.
- When current style is retrieved from a rich text, this font represents the used font of a rich text.